rte_pipeline_port_out_params(3)

NAME
rte_pipeline_port_out_params

SYNOPSIS

#include <rte_pipeline.h>

  Data Fields

struct rte_port_out_ops * ops
void * arg_create
rte_pipeline_port_out_action_handler f_action
void * arg_ah

Detailed Description

Parameters for pipeline output port creation. The action handlers have to be either both enabled or both disabled (by setting them to NULL). When enabled, the pipeline selects between them at different moments, based on the number of packets that have to be sent to the same output port.

Definition at line 697 of file rte_pipeline.h.

Field Documentation

  struct rte_port_out_ops* ops
Output port operations (specific to each table type)

Definition at line 699 of file rte_pipeline.h.

  void* arg_create
Opaque parameter to be passed to create operation when invoked

Definition at line 701 of file rte_pipeline.h.

  rte_pipeline_port_out_action_handler f_action
Callback function executing the user actions on bust of input packets

Definition at line 705 of file rte_pipeline.h.

  void* arg_ah
Opaque parameter to be passed to the action handler when invoked

Definition at line 707 of file rte_pipeline.h.

Author

Generated automatically by Doxygen for DPDK from the source code.